<?php

class Admin_Model_Uploader
{

	// PROTECTED VARS STORE ACTUAL DATA - GET/SET ONLY EXPOSED THROUGH METHODS
	protected $_id;
	protected $_file_name;
	protected $_file_size;
	protected $_file_type;
	
	

 	// CONSTRUCTOR ALLOWS FOR SETTING OF ALL PROPS
    public function __construct(array $options = null)
    {
        if (is_array($options)) {
            $this->setOptions($options);
        }
    }
 
 	// DEFAULT SETTER
    public function __set($name, $value)
    {
        $method = 'set' . $name;
        if (('mapper' == $name) || !method_exists($this, $method)) {
            throw new Exception('Invalid maillist property');
        }
        $this->$method($value);
    }
 
 	// DEFAULT GETTER
    public function __get($name)
    {
        $method = 'get' . $name;
        if (('mapper' == $name) || !method_exists($this, $method)) {
            throw new Exception('Invalid page property');
        }
        return $this->$method();
    }
    
 	// FUNCTION TO ALLOW FOR SETTING PROPERTIES FROM ARRAY
    public function setOptions(array $options)
    {
        $methods = get_class_methods($this);
        foreach ($options as $key => $value) {
            $method = 'set' . ucfirst($key);
            if (in_array($method, $methods)) {
                $this->$method($value);
            }
        }
        return $this;
    }
    
    // ALL THE GETTERS AND SETTERS
    
    public function setId($id)
    {
    	$this->_id = (int) $id;
    }
    
    public function getId()
    {
    	return $this->_id;
    }
    
    public function setFile_name($text)
    {
    	$this->_file_name = (string) $text;
    }
    
    public function getFile_name()
    {
    	return $this->_file_name;
    }
    
    
    
    public function setFile_size($intiger)
    {
    	$this->_file_size = (int) $intiger;
    }
    
    public function getFile_size()
    {
    	return $this->_file_size;
    }
    
    public function setFile_type($text)
    {
    	$this->_file_type = (string) $text;
    }
    
    public function getFile_type()
    {
    	return $this->_file_type;
    }
    
    
    
   


}

