<?php

class Admin_Model_UploaderMapper
{

	// SAVE THE TABLE IN PRIVATE VAR
    protected $_dbTable;
 
 	// GETTER/SETTER FOR TABLE
    public function setDbTable($dbTable)
    {
        if (is_string($dbTable)) {
            $dbTable = new $dbTable();
        }
        if (!$dbTable instanceof Zend_Db_Table_Abstract) {
            throw new Exception('Invalid table data gateway provided');
        }
        $this->_dbTable = $dbTable;
        return $this;
    }
 
    public function getDbTable()
    {
        if (null === $this->_dbTable) {
            $this->setDbTable('Admin_Model_DbTable_Uploader');
        }
        return $this->_dbTable;
    }
 
 	// SAVE() METHOD TO SAVE TO DB
    public function save(Admin_Model_Uploader $maillist)
    {
		
		
        $data = array(
            'file_name' => $maillist->getFile_name(),
            'file_size' => $maillist->getFile_size(),
            'file_type'   => $maillist->getFile_type()
            
        );
 
        if ( !( ($id = $maillist->getId()) > 0)  ) {
            unset($data['id']);
            $this->getDbTable()->insert($data);
        } else {
            $this->getDbTable()->update($data, array('id = ?' => $id));
        }
    }//save
	
	public function del(Admin_Model_Uploader $maillist)
	{
		$id = $maillist->getId();
		
		
		
		
		
		$this->getDbTable()->delete( array('id = ?' => $id));
	}//del
    
    // TO-DO: IMPLEMENT find() method to get one object by id
    
    // TO-DO: IMPLEMENT fetchAll method to get all records


}

?>